Bug 1186754 - (CVE-2020-22035) VUL-1: CVE-2020-22035: ffmpeg: heap-based Buffer Overflow vulnerability exists in get_block_row at libavfilter/vf_bm3d.c
(CVE-2020-22035)
VUL-1: CVE-2020-22035: ffmpeg: heap-based Buffer Overflow vulnerability exist...
Status: RESOLVED INVALID
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/301116/
CVSSv3.1:SUSE:CVE-2020-22035:8.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-02 12:42 UTC by Alexander Bergmann
Modified: 2021-09-22 07:37 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2021-06-02 12:42:00 UTC
CVE-2020-22035

A heap-based Buffer Overflow vulnerability exists in FFmpeg 4.2 in get_block_row
at libavfilter/vf_bm3d.c, which might lead to memory corruption and other
potential consequences.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-22035
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-22035
https://trac.ffmpeg.org/ticket/8262
Comment 1 Alynx Zhou 2021-06-04 07:15:20 UTC
Upstream cannot reproduce this and it was closed as fixed.
Comment 2 Alexander Bergmann 2021-09-22 07:37:02 UTC
Closing as invalid.